2 Replies Latest reply on May 18, 2012 12:56 AM by handat

    PKI-04001: Invalid Certificate.

    808131
      I'm creating a wallet in EM for WLS. I go into web tier, ohs1, security, wallet. Then click on create..., name the wallet, then click yes to add the certificate request. Fill out all of the fields, and click ok. I get the certificate request, save it to a file (or copy it). Now I'm back at the Wallets page, I click to go into my newly created wallet. Then click import, certificate type is trusted certificate, and then i upload my file, and I'm getting this error:

      PKI-04001: Invalid Certificate.

      What am i doing wrong?
        • 1. Re: PKI-04001: Invalid Certificate.
          Brett Curtis
          I have the same issue, did you resolve this? I've done this 1000 times with my internal CA and it works fine however this is an External cert. I've imported both the thawt CA certs as trusts now trying to import my server cert as a "certificate" I get this error :(

          I'll try using owm outside of EM and see what I end up with.
          • 2. Re: PKI-04001: Invalid Certificate.
            handat
            You need to actually generate the certificate first. You have only generated a CSR (certificate request) which you need to send to a CA to generate a certificate with, or use openssl to generate one yourself. Once you have a certificate, then you can import it.